# Spine Bootstrap

A bootstrap standard for your project

## Usage

### Create your hook
```
# myHook.ts
import { bootstrapHook } from '@spine/bootstrap';

bootstrapHook.addAction('my-hook', ({ config }) => {
  if (config.foo !== 'bar') {
    throw new Error('foo config is invalid');
  }
}, { priority: 0 });
```

### Bootstrap your project
```
# index.ts
import { bootstrap } from '@spine/bootstrap';
import './myHook';

const config = {
  foo: 'bar',
};

bootstrap(config)
  .catch(error => console.log(error.stack))
```
